## AgsGenericRecallChannelRun

AgsGenericRecallChannelRun — generic channel context of recall

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsGenericRecallChannelRun * | ags_generic_recall_channel_run_new ()

## Properties

GType * | generic-recall-recycling-child-type | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsRecall
            ╰── AgsRecallChannelRun
                ╰── AgsGenericRecallChannelRun

## Includes

    #include <ags/audio/ags_generic_recall_channel_run.h>

## Description

AgsGenericRecallChannelRun acts as generic channel recall.

## Functions

### ags_generic_recall_channel_run_new ()

    AgsGenericRecallChannelRun *
    ags_generic_recall_channel_run_new (AgsChannel *source,
                                        GType child_type,
                                        GType generic_recall_recycling_child_type);

Creates an AgsGenericRecallChannelRun.

#### Parameters

source | the source AgsChannel |
child_type | child type |
generic_recall_recycling_child_type | recycling child type |

#### Returns

a new AgsGenericRecallChannelRun.

Since: 3.0.0

## Property Details

### The `“generic-recall-recycling-child-type”` property

      “generic-recall-recycling-child-type” GType *

The type of child AgsRecall.

Owner: AgsGenericRecallChannelRun

Flags: Read / Write

Allowed values: AgsRecall

Since: 3.0.0